Cyberduck Mountain Duck CLI

#3982 closed enhancement (fixed)

Use default SSH public key first

Reported by: tom@… Owned by: dkocher
Priority: normal Milestone: 4.2
Component: sftp Version: 3.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Cyberduck always prompts me for the password even if I have a public key which openssh uses by default to log in on the server. I shouldn't have to set the public key for every connection manually.

Change History (11)

comment:1 in reply to: ↑ description Changed on Dec 7, 2009 at 2:27:09 PM by dkocher

  • Component changed from core to sftp

Replying to tom@…:

Cyberduck always prompts me for the password even if I have a public key which openssh uses by default to log in on the server. I shouldn't have to set the public key for every connection manually.

It should read the configuration from the OpenSSH configuration file as described in help/en/howto/ssh.

comment:2 follow-up: Changed on Dec 7, 2009 at 2:30:30 PM by tom@…

I was on that page before but it is not clear to me what I have to do for Cyberduck to automatically read my ~/.ssh/id_rsa key. Where (and why) do I specify the key in the config?

comment:3 in reply to: ↑ 2 Changed on Dec 7, 2009 at 3:55:47 PM by dkocher

  • Type changed from defect to enhancement

Replying to tom@…:

I was on that page before but it is not clear to me what I have to do for Cyberduck to automatically read my ~/.ssh/id_rsa key. Where (and why) do I specify the key in the config?

I have updated the page with additional info. We do not read the id_rsa by default. You have to specify the key explicitly in the configuration file.

comment:4 Changed on Dec 7, 2009 at 4:48:21 PM by tom@…

This does not work for the quick connect field, also shouldn't be required for the user to set up an IdentityFile.

comment:5 Changed on Dec 7, 2009 at 7:41:39 PM by dkocher

  • Summary changed from Cyberduck should try to use SSH public key by default to Should try to use default SSH public key first

comment:6 Changed on Nov 19, 2010 at 4:35:07 PM by dkocher

  • Summary changed from Should try to use default SSH public key first to Use default SSH public key first

comment:7 Changed on Apr 10, 2011 at 9:10:02 PM by dkocher

#5893 closed as duplicate.

comment:8 Changed on Nov 17, 2011 at 2:15:02 PM by dkocher

  • Milestone set to 4.1.4
  • Status changed from new to assigned

comment:9 Changed on Nov 17, 2011 at 2:18:23 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r9278.

comment:10 Changed on Nov 28, 2011 at 10:13:32 AM by dkocher

We have disabled this by default in r9324 because of #6388. To enable, set the hidden configuration option ssh.authentication.publickey.default.enable to true.

Note: See TracTickets for help on using tickets.
swiss made software